Pgmenhance User Manual(0)

NAME
pgmenhance - edge-enhance a PGM image

SYNOPSIS
pgmenhance [-N] [pgmfile]

DESCRIPTION

This program is part of Netpbm(1)

pgmenhance reads a PGM image as input, enhances the edges, and writes a PGM image as output.

The edge enhancing technique is taken from Philip R. Thompson's 'xim' program, which in turn took it from section 6 of 'Digital Halftones by Dot Diffusion', D. E. Knuth, ACM Transaction on Graphics Vol. 6, No. 4, October 1987, which in turn got it from two 1976 papers by J. F. Jarvis et. al.

OPTIONS

The optional -N option should be a digit from 1 to 9. 1 is the lowest level of enhancement; 9 is the highest. The default is 9.

SEE ALSO
pgmedge(1) , pgm(5)

AUTHOR
Copyright (C) 1989 by Jef Poskanzer.